{
  "description": "DownwardAPIVolumeSource represents a volume containing downward API info. Downward API volumes support ownership management and SELinux relabeling.",
  "properties": {
    "defaultMode": {
      "description": "Optional: mode bits to use on created files by default. Must be a Optional: mode bits used to set permissions on created files by default. Must be an octal value between 0000 and 0777 or a decimal value between 0 and 511. YAML accepts both octal and decimal values, JSON requires decimal values for mode bits. Defaults to 0644. Directories within the path are not affected by this setting. This might be in conflict with other options that affect the file mode, like fsGroup, and the result can be other mode bits set.",
      "format": "int32",
      "type": [
        "integer",
        "null"
      ]
    },
    "items": {
      "description": "Items is a list of downward API volume file",
      "items": {
        "$ref": "/api/_definitions.json#/$defs/io.k8s.api.core.v1.DownwardAPIVolumeFile"
      },
      "type": [
        "array",
        "null"
      ]
    }
  },
  "type": "object",
  "$schema": "https://json-schema.org/draft/2020-12/schema",
  "$id": "https://kubernetes.io/api/downwardapivolumesource/v1"
}